com.corticon.service.ccserver.exception

## Class CcServerDecisionServiceLoadedFromCddException

- java.lang.Object
- - CcException
  - - com.corticon.service.ccserver.exception.CcServerException
    - - com.corticon.service.ccserver.exception.CcServerDecisionServiceLoadedFromCddException

- All Implemented Interfaces:
    java.io.Serializable

      public class CcServerDecisionServiceLoadedFromCddException
      extends CcServerException
      implements java.io.Serializable

  `CcServerDecisionServiceLoadedFromCddException` is thrown when a method call is made to dynamically change the state of a Decision Service pool that is originally loaded from a CDD (.cdd file). The Corticon Server should either be managed through CDD's or through the methods provided to manage Decision Services directly.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerDecisionServiceLoadedFromCddException()`
    `CcServerDecisionServiceLoadedFromCddException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcServerDecisionServiceLoadedFromCddException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcServerDecisionServiceLoadedFromCddException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcServerDecisionServiceLoadedFromCddException(java.lang.String astrMessage)`
    `CcServerDecisionServiceLoadedFromCddException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerDecisionServiceLoadedFromCddException

          public CcServerDecisionServiceLoadedFromCddException()

    - #### CcServerDecisionServiceLoadedFromCddException

          public CcServerDecisionServiceLoadedFromCddException(java.lang.String astrMessage)

    - #### CcServerDecisionServiceLoadedFromCddException

          public CcServerDecisionServiceLoadedFromCddException(java.lang.String astrMessage,
                                                               java.lang.Object aobject)

    - #### CcServerDecisionServiceLoadedFromCddException

          public CcServerDecisionServiceLoadedFromCddException(java.lang.Exception aparentException,
                                                               java.lang.String astrMessage)

    - #### CcServerDecisionServiceLoadedFromCddException

          public CcServerDecisionServiceLoadedFromCddException(java.lang.Exception aparentException,
                                                               java.lang.Object aobject)

    - #### CcServerDecisionServiceLoadedFromCddException

          public CcServerDecisionServiceLoadedFromCddException(java.lang.Exception aparentException,
                                                               java.lang.String astrMessage,
                                                               java.lang.Object aobject)

Copyright © 2005-2023 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.